;;; -*- Mode:LISP; Package:SIM; Readtable:CL; Base:10 -*-

(define-asm first-loop ()
  (alu (active 0) <- (active 0) add (active 1))
  (jump always 0))

(defun setup-function (name)
  (reset-proc *proc*)
  (store-function-into-main-memory name 0)
  (setf (proc-pc *proc*) 0)
  (setf (proc-next-pc *proc*) (1+ (proc-pc *proc*)))
  (setf (proc-noop-next-bit *proc*) 0)
  (setf (aref (proc-frames *proc*) 1) 1))